<main *ngFor="let course of courses; index as i">
  <article class="course-card" [creationDate]="course.creationDate" appIfnew>
    <div class="main-course-info">
      <div class="course-header-block">
        <h1 class="course-header">{{course.title | titlecase}} <span [ngClass]="{'top-rated': course.topRated}">X</span></h1>
        <div class="course-info">
        <span class="info-punkt">
          <i class="ri-time-line"></i>
          {{course.duration | appDurationTransform: 'hh mm'}}
        </span>
          <span class="info-punkt">
          <i class="ri-calendar-2-line"></i>
            {{course.creationDate | date}}
        </span> 
        </div>
      </div>
      <p class="course-description">
        {{course.description}}
      </p>
    </div>
    <div class="main-course-actions">
      <button class="action-button button blue-styled-button">
        <i class="ri-pencil-line"></i>
        Edit
      </button>
      <button class="action-button button blue-styled-button" (click)="onDeleteClick(course.id, i)" (onDelete)="consoleId(course.id)">
        <i class="ri-delete-bin-6-line"></i>
        Delete
      </button>
    </div>
  </article>

  <!-- <app-modal-window isModalActive="{{isModalActive}}"[id]="course.id" [index]="i" [courses]="courses"></app-modal-window> -->
</main>